Crash after using memory data provider in python and adding the layer to the layer registry

2014-11-04 11:43 PM - Thilo Schneider

Status: Closed

Priority: Severe/Regression

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19827

Description

The following code creates an immediate crash when inserted into the python console:

vectorlayer = QgsVectorLayer("Point?crs=epsg:31467", "Player", "memory")

vectorlayer.updateExtents()

QgsMapLayerRegistry.instance().addMapLayer(vectorlayer)

If one first adds the vectorlayer to the layer registry and then updates the extends, QGis crashes not immediately but as soon as the map

is redrawn the next time. The crash persists if I add features to the layer before adding it to the layer registry.

All third party plugins are disabled in my installation. The same code has been working in 2.4.

History

#1 - 2014-11-04 11:57 PM - Thilo Schneider

Forgot to mention: Testing has been done under Ubuntu Precise.

#2 - 2014-11-05 02:21 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

tagging as a regression waiting for the feedback of a developer.

#3 - 2014-11-07 08:29 AM - Martin Dobias

I cannot replicate the crash (ubuntu trusty)

#4 - 2014-11-07 08:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2014-11-07 08:41 AM - Thilo Schneider

Is there anything else I can provide to make tracking the problem easier for you?
#6 - 2014-11-10 10:45 AM - Salvatore Larosa

Thilo Schneider wrote:

Is there anything else I can provide to make tracking the problem easier for you?

Yes, could you try to run QGIS with the --noplugins option, please?

#7 - 2014-11-16 11:11 PM - Thilo Schneider

- Status changed from Feedback to Closed

Problem solved. It turned out that I had an old dependency installed on my system.

Files

backtrace.txt 8.19 KB 2014-11-04 Thilo Schneider

2024-05-03 2/2


